> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Rename object type

> Renames the object type, changing its singular and plural labels.

> [accordion] Supported products

> [accordion] Required Scopes


## OpenAPI

````yaml specs/2027-03-beta/crm-object-library-v2027-03-beta.json PUT /crm/object-library/2027-03-beta/rename/{objectTypeId}
openapi: 3.0.1
info:
  title: CRM Object Library
  description: Basepom for all HubSpot Projects
  version: 2027-03-beta
  x-hubspot-product-tier-requirements:
    marketing: FREE
    sales: FREE
    service: FREE
    cms: FREE
    commerce: FREE
    crmHub: FREE
    dataHub: FREE
servers:
  - url: https://api.hubapi.com
security: []
tags:
  - name: Advanced
  - name: Basic
paths:
  /crm/object-library/2027-03-beta/rename/{objectTypeId}:
    put:
      tags:
        - Basic
      summary: Rename object type
      description: Renames the object type, changing its singular and plural labels.
      operationId: >-
        put-/crm/object-library/2027-03-beta/rename/{objectTypeId}_/crm/object-library/2027-03-beta/rename/{objectTypeId}
      parameters:
        - name: objectTypeId
          in: path
          description: Object type ID of the object type to rename.
          required: true
          style: simple
          explode: false
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ObjectTypeLabel'
        required: true
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ObjectTypeRenameUpsertPublicResponse'
        default:
          $ref: '#/components/responses/Error'
          description: ''
      security: []
components:
  schemas:
    ObjectTypeLabel:
      required:
        - pluralLabel
        - singularLabel
      type: object
      properties:
        pluralLabel:
          type: string
          description: >-
            A string representing the plural form of the label for the object
            type.
        singularLabel:
          type: string
          description: >-
            A string representing the singular form of the label for the object
            type.
    ObjectTypeRenameUpsertPublicResponse:
      required:
        - proposedPropertyLabelChangesByInternalNameByObjectTypeId
      type: object
      properties:
        proposedPropertyLabelChangesByInternalNameByObjectTypeId:
          type: object
          additionalProperties:
            type: object
            additionalProperties:
              $ref: '#/components/schemas/PropertyLabelChange'
          description: >-
            An object mapping each object type ID to another object, which maps
            internal property names to their proposed label changes. Each
            proposed label change is represented by a PropertyLabelChange
            object.
    PropertyLabelChange:
      required:
        - currentLabel
        - proposedLabel
      type: object
      properties:
        currentLabel:
          type: string
          description: >-
            The existing label of the property, still referencing the pre-rename
            object label.
        proposedLabel:
          type: string
          description: The new proposed label for the property.
    Error:
      required:
        - category
        - correlationId
        - message
      type: object
      properties:
        category:
          type: string
          description: The error category, represented as a string.
        context:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
          description: >-
            An object providing context about the error condition, where each
            property is an array of strings.
          example: >-
            {invalidPropertyName=[propertyValue], missingScopes=[scope1,
            scope2]}
        correlationId:
          type: string
          description: >-
            A unique identifier for the request, formatted as a UUID. This
            should be included with any error reports or support tickets.
          format: uuid
          example: aeb5f871-7f07-4993-9211-075dc63e7cbf
        errors:
          type: array
          description: >-
            An array providing further information about the error, with each
            item being an ErrorDetail object.
          items:
            $ref: '#/components/schemas/ErrorDetail'
        links:
          type: object
          additionalProperties:
            type: string
          description: >-
            A map of link names to associated URIs containing documentation
            about the error or recommended remediation steps, represented as an
            object with string properties.
        message:
          type: string
          description: >-
            A human-readable message describing the error along with remediation
            steps where appropriate. It is a string.
          example: An error occurred
        subCategory:
          type: string
          description: >-
            A specific category that provides more detailed information about
            the error. It is a string.
      description: >-
        Represents an error response returned by the API when an operation
        fails. This component is used in various endpoints to provide detailed
        information about the error encountered.
      example:
        message: Invalid input (details will vary based on the error)
        correlationId: aeb5f871-7f07-4993-9211-075dc63e7cbf
        category: VALIDATION_ERROR
        links:
          knowledge-base: https://www.hubspot.com/products/service/knowledge-base
    ErrorDetail:
      required:
        - message
      type: object
      properties:
        code:
          type: string
          description: >-
            The status code associated with the error detail. This is a string
            property.
        context:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
          description: >-
            Context about the error condition, represented as an object where
            each key is a context name and the value is an array of strings
            providing further details.
          example: '{missingScopes=[scope1, scope2]}'
        in:
          type: string
          description: >-
            The name of the field or parameter in which the error was found.
            This is a string property.
        message:
          type: string
          description: >-
            A human readable message describing the error along with remediation
            steps where appropriate. It is a required string property.
        subCategory:
          type: string
          description: >-
            A specific category that contains more specific detail about the
            error. This is a string property.
      description: >-
        Represents detailed information about an error that occurred in the API.
        This component is used to provide additional context and specifics about
        errors, typically as part of an error response.
  responses:
    Error:
      description: An error occurred.
      content:
        '*/*':
          schema:
            $ref: '#/components/schemas/Error'

````